com.h3c.dist.sync

## Class SyncServiceNodePath

- java.lang.Object
- - com.h3c.dist.sync.SyncServiceNodePath

- All Implemented Interfaces:
    Comparable<SyncServiceNodePath>

      public class SyncServiceNodePath
      extends Object
      implements Comparable<SyncServiceNodePath>

  Class to store the distributed store node hierarchy. Each SyncServiceNodePath corresponds to a SyncServiceNode `SyncServiceNode`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncServiceNodePath(String... fullname)`
    `SyncServiceNodePath(String[] fullname, String... strings)`
    `SyncServiceNodePath(String name, String[] fullname)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SyncServiceNodePath o)`
    `boolean` | `equals(Object o)`
    `String[]` | `getFullName()`
    `String` | `getName()`
    `String` | `getName(int i)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncServiceNodePath

          public SyncServiceNodePath(String... fullname)

    - #### SyncServiceNodePath

          public SyncServiceNodePath(String[] fullname,
                             String... strings)

    - #### SyncServiceNodePath

          public SyncServiceNodePath(String name,
                             String[] fullname)

  - ### Method Detail

    - #### getFullName

          public String[] getFullName()

    - #### getName

          public String getName()

    - #### getName

          public String getName(int i)

    - #### compareTo

          public int compareTo(SyncServiceNodePath o)

      Specified by:
        `compareTo` in interface `Comparable<SyncServiceNodePath>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.